#
# spec file for package libcxgb3-rdmav2 (Version 1.3.1)
#
# Copyright (c) 2008-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcxgb3-rdmav2
Summary:        Chelsio T3 RNIC OpenIB Userspace Library
Version:        1.3.1
Release:        7.5
License:        GPL-2.0 or BSD-2-Clause
Group:          System/Libraries
Source0:        libcxgb3-%{version}.tar.gz
Source1:        baselibs.conf
#PATCH-FIX-UPSTREAM This is a plugin, no version needed pth@suse.de
Patch0:         cxgb3-no_devel_package.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
BuildRequires:  automake autoconf libtool

Supplements:    modalias(pci:v00001425d00000036sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000035sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000032sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000031sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000030sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000026sv*sd*bc*sc*i*)     
Supplements:    modalias(pci:v00001425d00000025sv*sd*bc*sc*i*)   
Supplements:    modalias(pci:v00001425d00000024sv*sd*bc*sc*i*)   
Supplements:    modalias(pci:v00001425d00000023sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000022sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000021sv*sd*bc*sc*i*)  
Supplements:    modalias(pci:v00001425d00000020sv*sd*bc*sc*i*)  

%description
libcxgb3 provides a device-specific userspace driver for Chelsio RNICs
for use with the libibverbs library.

%prep
%setup -q -n libcxgb3-%{version}
%patch0
touch NEWS ChangeLog

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
%makeinstall
%{__rm} %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%_libdir/libcxgb3.so

%files
%defattr(-, root, root)
%doc COPYING
%dir %_sysconfdir/libibverbs.d
%config %_sysconfdir/libibverbs.d/*
%_libdir/libcxgb3-rdmav2.so

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri Jan 31 2014 pth@suse.de
- Include cxgb3-no_devel_package.patch that adds -module to LDFLAGS
  as we build a dlopened plugin. That also means there is no
  - devel package anymore.
* Wed Jan 29 2014 pth@suse.de
- Make changes as requested by legal.
* Wed Jan 29 2014 pth@suse.de
- Add PCI-IDs from sle11-sp3.
* Fri Jan 17 2014 pth@suse.de
- Enable build for s390x.
- Use spdx.org format for license specification.
- Update to OFED 3.12 daily
* Wed Sep  5 2012 jengelh@inai.de
- Remove redundant sections from specfile
- Parallel build with %%_smp_mflags
- Do own the config directory
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Mon Oct 25 2010 jjolly@novell.com
- Update to v1.2.5 from OFED 1.5.2
* Thu Dec 11 2008 jjolly@suse.de
- Updated to version from OFED 1.4 GA
  - version update
* Fri Nov  7 2008 ihno@suse.de
- adding ExcludeArch for s390 s390x
* Thu Nov  6 2008 ihno@suse.de
- adding baselibs.conf
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
* Mon Sep 15 2008 jjolly@suse.de
- Changed packages name to libcxgb3-rdmav2 to match the library
  name
* Thu Sep 11 2008 jjolly@suse.de
- Update to version 1.2.2 from OFED 1.4 rc1
* Tue Apr 22 2008 aj@suse.de
- Fix rpmlintrc.
* Tue Aug 21 2007 hvogel@suse.de
- Update to version from OFED 1.2.5
* Tue Aug 14 2007 crrodriguez@suse.de
- fix build
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#289519]
* Tue Jul  3 2007 hvogel@suse.de
- Initial Package, Version 1.0
